# 📖 Summary
- [📖 Summary](#📖-summary)
- [💼 About Adzuna](#💼-about-adzuna)
  - [😍 Why is it a big deal for Adzuna customers & partners?](#😍-why-is-it-a-big-deal-for-adzuna-customers--partners)
- [🔧 How does it work?](#🔧-how-does-it-work)
  - [📊 Data integration capabilities:](#📊-data-integration-capabilities)
  - [🧠 Artificial Intelligence capabilities:](#🧠-artificial-intelligence-capabilities)
- [🔌 Connector Actions](#🔌-connector-actions)
- [💍 Quick Start Examples](#💍-quick-start-examples)
- [🔗 Useful Links](#🔗-useful-links)
- [👏 Special Thanks](#👏-special-thanks)


# 💼 About Adzuna

> Find Every Job, Everywhere with Adzuna

Adzuna is a smarter, more transparent job search engine that helps you dodge the thousands of irrelevant jobs so you can zero in on the right role faster.

<p align="center">
<image src=https://user-images.githubusercontent.com/107410704/213695245-0182ea76-a5ff-4784-a13f-bdd5c80b84f9.png width=90% height=100% >
</p>

## 😍 Why is it a big deal for Adzuna customers & partners?

This new connector will enable:
- ⚡ A Fastlane Talent & Workforce data integration for Adzuna customers & partners
- 🤖 Cutting-edge AI-powered Talent Experiences & Recruiter Experiences for Adzuna customers

#  🔧 How does it work?
## 📊 Data integration capabilities:
- ⬅️ Send Profiles data from Adzuna to a Destination of your choice.
- ➡️ Send Profiles data from a Source of your choice to Adzuna.
- ⬅️ Send Jobs data from Adzuna to a Destination of your choice.
- ➡️ Send Jobs data from a Source of your choice to Adzuna.


<p align="center">

<image src=https://user-images.githubusercontent.com/107410704/213694243-8503e06d-e17d-4094-9984-e419341619e2.jpg width=90% height=100% >
</p>


## 🧠 Artificial Intelligence capabilities:
- Extract, Structure, and Categorize Talent & Workforce data
- Search, Score, and Match Profiles & Jobs with our APIs and AI Widgets (**Matching Custom Tab in Adzuna**)


# 🔌 Connector Actions
<p align="center">

| Action | Description |
| ------- | ----------- |
| [**Create jobs in hrflow**](docs/create_jobs_in_hrflow.md) | Send **created** 'job(s)' _from_  _to_ HrFlow |
| [**Update jobs in hrflow**](docs/update_jobs_in_hrflow.md) | Send **updated** 'job(s)' _from_  _to_ HrFlow |
| [**Archive jobs in hrflow**](docs/archive_jobs_in_hrflow.md) | Send **archived** 'job(s)' _from_  _to_ HrFlow |


</p>


# 💍 Quick Start Examples

To make sure you can successfully run the latest versions of the example scripts, you have to **install the package from PyPi**.


To browse the examples of actions corresponding to released versions of 🤗 this connector, you just need to import the module like this :


<p align="center">
<image src=https://user-images.githubusercontent.com/57711045/215874507-a36933f2-af97-4ee1-83d4-1d08eeebe06b.png width=90% height=100% >
</p>

Once the connector module is imported, you can leverage all the different actions that it offers.

For more code details checkout connector code.


# 🔗 Useful Links

- 📄 Visit [Adzuna](https://www.adzuna.fr/) to learn more.
- ⚙️ API documentation : (https://developer.adzuna.com/docs/search)
- 💻 [Connector code](https://github.com/Riminder/hrflow-connectors/tree/master/src/hrflow_connectors/v2/connectors/adzuna) on our Github.


# 👏 Special Thanks
- 💻 HrFlow.ai :  [Nedhir Ebnou](https://github.com/nedhirouebnou) - Software Engineer