# 📖 Summary
- [📖 Summary](#📖-summary)
- [💼 About Flatchr](#💼-about-flatchr)
  - [😍 Why is it a big deal for Flatchr customers & partners?](#😍-why-is-it-a-big-deal-for-flatchr-customers--partners)
- [🔧 How does it work?](#🔧-how-does-it-work)
  - [📊 Data integration capabilities:](#📊-data-integration-capabilities)
  - [🧠 Artificial Intelligence capabilities:](#🧠-artificial-intelligence-capabilities)
- [🔌 Connector Actions](#🔌-connector-actions)
- [💍 Quick Start Examples](#💍-quick-start-examples)
- [🔗 Useful Links](#🔗-useful-links)
- [👏 Special Thanks](#👏-special-thanks)


# 💼 About Flatchr

> Avec le digital, recruter est devenu beaucoup plus compliqué qu'avant. Flatchr centralise et simplifie vos processus de recrutement pour le rendre aussi simple que télécharger un film sur Netflix.

<p align="center">
<image src=https://user-images.githubusercontent.com/113343504/215117691-36605f2d-ddcf-48be-9d82-b4c660b1cc20.png
 width=90% height=100% >
</p>

## 😍 Why is it a big deal for Flatchr customers & partners?

This new connector will enable:
- ⚡ A Fastlane Talent & Workforce data integration for Flatchr customers & partners
- 🤖 Cutting-edge AI-powered Talent Experiences & Recruiter Experiences for Flatchr customers

#  🔧 How does it work?
## 📊 Data integration capabilities:
- ⬅️ Send Profiles data from Flatchr to a Destination of your choice.
- ➡️ Send Profiles data from a Source of your choice to Flatchr.
- ⬅️ Send Jobs data from Flatchr to a Destination of your choice.
- ➡️ Send Jobs data from a Source of your choice to Flatchr.

<p align="center">
<image src=https://github.com/user-attachments/assets/38d23ec9-ab19-4f6f-8691-c9c8941e30de
 width=90% height=100% >
</p>


## 🧠 Artificial Intelligence capabilities:
- Extract, Structure, and Categorize Talent & Workforce data
- Search, Score, and Match Profiles & Jobs with our APIs and AI Widgets (**Matching Custom Tab in Flatchr**)


# 🔌 Connector Actions
<p align="center">

| Action | Description |
| ------- | ----------- |
| [**Create profiles in hrflow**](docs/create_profiles_in_hrflow.md) | Send **created** 'profile(s)' _from_  _to_ HrFlow |
| [**Update profiles in hrflow**](docs/update_profiles_in_hrflow.md) | Send **updated** 'profile(s)' _from_  _to_ HrFlow |
| [**Archive profiles in hrflow**](docs/archive_profiles_in_hrflow.md) | Send **archived** 'profile(s)' _from_  _to_ HrFlow |
| [**Create profiles in **](docs/create_profiles_in_.md) | Send **created** 'profile(s)' _from_ HrFlow _to_  |
| [**Update profiles in **](docs/update_profiles_in_.md) | Send **updated** 'profile(s)' _from_ HrFlow _to_  |
| [**Archive profiles in **](docs/archive_profiles_in_.md) | Send **archived** 'profile(s)' _from_ HrFlow _to_  |
| [**Create jobs in hrflow**](docs/create_jobs_in_hrflow.md) | Send **created** 'job(s)' _from_  _to_ HrFlow |
| [**Update jobs in hrflow**](docs/update_jobs_in_hrflow.md) | Send **updated** 'job(s)' _from_  _to_ HrFlow |
| [**Archive jobs in hrflow**](docs/archive_jobs_in_hrflow.md) | Send **archived** 'job(s)' _from_  _to_ HrFlow |


</p>


# 💍 Quick Start Examples

To make sure you can successfully run the latest versions of the example scripts, you have to **install the package from PyPi**.


To browse the examples of actions corresponding to released versions of 🤗 this connector, you just need to import the module like this :

<p align="center">
<image src=https://github.com/user-attachments/assets/dcfb14df-939c-4c3e-91c2-886b923c8000
 width=90% height=100% >
</p>


Once the connector module is imported, you can leverage all the different actions that it offers.

For more code details checkout connector code.


# 🔗 Useful Links

- 📄 Visit [Flatchr](https://www.flatchr.io/) to learn more.
- ⚙️ API documentation : (https://developers.flatchr.io/docs/getting_started)
- 💻 [Connector code](https://github.com/Riminder/hrflow-connectors/tree/master/src/hrflow_connectors/v2/connectors/flatchr) on our Github.


# 👏 Special Thanks
- 💻 HrFlow.ai :  [Nedhir Ebnou](https://github.com/nedhirouebnou) - Software Engineer
- 🤝 Flatchr : 	Sébastien Vandermaesen- Partner Manager