# 📖 Summary
- [📖 Summary](#📖-summary)
- [💼 About Taleez](#💼-about-taleez)
  - [😍 Why is it a big deal for Taleez customers & partners?](#😍-why-is-it-a-big-deal-for-taleez-customers--partners)
- [🔧 How does it work?](#🔧-how-does-it-work)
  - [📊 Data integration capabilities:](#📊-data-integration-capabilities)
  - [🧠 Artificial Intelligence capabilities:](#🧠-artificial-intelligence-capabilities)
- [🔌 Connector Actions](#🔌-connector-actions)
- [💍 Quick Start Examples](#💍-quick-start-examples)
- [🔗 Useful Links](#🔗-useful-links)
- [👏 Special Thanks](#👏-special-thanks)


# 💼 About Taleez

> Taleez est une solution globale de gestion des candidatures et de diffusion d'offres d'emploi.Pilotez intégralement vos processus de recrutement et intégrez vos équipes dans les décisions.

<p align="center">
<image src=https://user-images.githubusercontent.com/57711045/223753124-44c05816-dbb2-47a2-9f7e-222fc9a67f98.png width=90% height=100% >
</p>

## 😍 Why is it a big deal for Taleez customers & partners?

This new connector will enable:
- ⚡ A Fastlane Talent & Workforce data integration for Taleez customers & partners
- 🤖 Cutting-edge AI-powered Talent Experiences & Recruiter Experiences for Taleez customers

#  🔧 How does it work?
## 📊 Data integration capabilities:
- ⬅️ Send Profiles data from Taleez to a Destination of your choice.
- ➡️ Send Profiles data from a Source of your choice to Taleez.
- ⬅️ Send Jobs data from Taleez to a Destination of your choice.
- ➡️ Send Jobs data from a Source of your choice to Taleez.


<p align="center">
<image src=https://github.com/user-attachments/assets/604a7d12-9bda-43ac-8229-851092d46cc3 width=90% height=100% >
</p>


## 🧠 Artificial Intelligence capabilities:
- Extract, Structure, and Categorize Talent & Workforce data
- Search, Score, and Match Profiles & Jobs with our APIs and AI Widgets (**Matching Custom Tab in Taleez**)

<p align="center">
<image src=https://user-images.githubusercontent.com/57711045/223755373-312181ef-bcf2-45f4-b6d9-da74bac2339a.png width=90% height=100% >
</p>

# 🔌 Connector Actions
<p align="center">

| Action | Description |
| ------- | ----------- |
| [**Create jobs in hrflow**](docs/create_jobs_in_hrflow.md) | Send **created** 'job(s)' _from_  _to_ HrFlow |
| [**Update jobs in hrflow**](docs/update_jobs_in_hrflow.md) | Send **updated** 'job(s)' _from_  _to_ HrFlow |
| [**Archive jobs in hrflow**](docs/archive_jobs_in_hrflow.md) | Send **archived** 'job(s)' _from_  _to_ HrFlow |
| [**Create profiles in hrflow**](docs/create_profiles_in_hrflow.md) | Send **created** 'profile(s)' _from_  _to_ HrFlow |
| [**Update profiles in hrflow**](docs/update_profiles_in_hrflow.md) | Send **updated** 'profile(s)' _from_  _to_ HrFlow |
| [**Archive profiles in hrflow**](docs/archive_profiles_in_hrflow.md) | Send **archived** 'profile(s)' _from_  _to_ HrFlow |
| [**Create profiles in **](docs/create_profiles_in_.md) | Send **created** 'profile(s)' _from_ HrFlow _to_  |
| [**Update profiles in **](docs/update_profiles_in_.md) | Send **updated** 'profile(s)' _from_ HrFlow _to_  |


</p>


# 💍 Quick Start Examples

To make sure you can successfully run the latest versions of the example scripts, you have to **install the package from PyPi**.


To browse the examples of actions corresponding to released versions of 🤗 this connector, you just need to import the module like this :


Once the connector module is imported, you can leverage all the different actions that it offers.

For more code details checkout connector code.


# 🔗 Useful Links

- 📄 Visit [Taleez](https://taleez.com/) to learn more.
- ⚙️ API documentation : (https://api.taleez.com/swagger-ui/index.html)
- 💻 [Connector code](https://github.com/Riminder/hrflow-connectors/tree/master/src/hrflow_connectors/v2/connectors/taleez) on our Github.


# 👏 Special Thanks
- 💻 HrFlow.ai : [Nedhir Ebnou](https://github.com/itsnedhir) - Software Engineer & [Yasser BELMEHDI](https://github.com/yass1337) - Software Engineer