# 📖 Summary
- [📖 Summary](#📖-summary)
- [💼 About Teamtailor](#💼-about-teamtailor)
  - [😍 Why is it a big deal for Teamtailor customers & partners?](#😍-why-is-it-a-big-deal-for-teamtailor-customers--partners)
- [🔧 How does it work?](#🔧-how-does-it-work)
  - [📊 Data integration capabilities:](#📊-data-integration-capabilities)
  - [🧠 Artificial Intelligence capabilities:](#🧠-artificial-intelligence-capabilities)
- [🔌 Connector Actions](#🔌-connector-actions)
- [💍 Quick Start Examples](#💍-quick-start-examples)
- [🔗 Useful Links](#🔗-useful-links)
- [👏 Special Thanks](#👏-special-thanks)


# 💼 About Teamtailor

> The new way to attract, nurture and hire top talent. Grow faster by focusing on what matters the most — your candidates

<p align="center">
<image src=https://user-images.githubusercontent.com/46778695/213733804-e5383200-1371-493f-854f-ea70d80a1e8c.png width=90% height=100% >
</p>

## 😍 Why is it a big deal for Teamtailor customers & partners?

This new connector will enable:
- ⚡ A Fastlane Talent & Workforce data integration for Teamtailor customers & partners
- 🤖 Cutting-edge AI-powered Talent Experiences & Recruiter Experiences for Teamtailor customers

#  🔧 How does it work?
## 📊 Data integration capabilities:
- ⬅️ Send Profiles data from Teamtailor to a Destination of your choice.
- ➡️ Send Profiles data from a Source of your choice to Teamtailor.
- ⬅️ Send Jobs data from Teamtailor to a Destination of your choice.
- ➡️ Send Jobs data from a Source of your choice to Teamtailor.

<p align="center">
<image src=https://github.com/user-attachments/assets/7cb428fb-f7bb-4d74-8c02-3a90ae7f41dc width=90% height=100% >
</p>

## 🧠 Artificial Intelligence capabilities:
- Extract, Structure, and Categorize Talent & Workforce data
- Search, Score, and Match Profiles & Jobs with our APIs and AI Widgets (**Matching Custom Tab in Teamtailor**)


# 🔌 Connector Actions
<p align="center">

| Action | Description |
| ------- | ----------- |
| [**Create jobs in hrflow**](docs/create_jobs_in_hrflow.md) | Send **created** 'job(s)' _from_  _to_ HrFlow |
| [**Update jobs in hrflow**](docs/update_jobs_in_hrflow.md) | Send **updated** 'job(s)' _from_  _to_ HrFlow |
| [**Archive jobs in hrflow**](docs/archive_jobs_in_hrflow.md) | Send **archived** 'job(s)' _from_  _to_ HrFlow |
| [**Create profiles in hrflow**](docs/create_profiles_in_hrflow.md) | Send **created** 'profile(s)' _from_  _to_ HrFlow |
| [**Update profiles in hrflow**](docs/update_profiles_in_hrflow.md) | Send **updated** 'profile(s)' _from_  _to_ HrFlow |
| [**Archive profiles in hrflow**](docs/archive_profiles_in_hrflow.md) | Send **archived** 'profile(s)' _from_  _to_ HrFlow |
| [**Create profiles in **](docs/create_profiles_in_.md) | Send **created** 'profile(s)' _from_ HrFlow _to_  |
| [**Update profiles in **](docs/update_profiles_in_.md) | Send **updated** 'profile(s)' _from_ HrFlow _to_  |


</p>


# 💍 Quick Start Examples

To make sure you can successfully run the latest versions of the example scripts, you have to **install the package from PyPi**.


To browse the examples of actions corresponding to released versions of 🤗 this connector, you just need to import the module like this :

<p align="center">
<image src=https://user-images.githubusercontent.com/107410704/219012378-809a6872-fc1a-45ed-917b-c88aad89de17.png width=90% height=100% >
</p>

Once the connector module is imported, you can leverage all the different actions that it offers.

For more code details checkout connector code.


# 🔗 Useful Links

- 📄 Visit [Teamtailor](https://www.teamtailor.com/) to learn more.
- ⚙️ API documentation : (https://docs.teamtailor.com/)
- 💻 [Connector code](https://github.com/Riminder/hrflow-connectors/tree/master/src/hrflow_connectors/v2/connectors/teamtailor) on our Github.


# 👏 Special Thanks
- 💻 HrFlow.ai :  [Daniel ROSA](https://github.com/DanielRosa73) - Software Engineer & [Nedhir Ebnou](https://github.com/itsnedhir) - Software Engineer
- 🤝 Teamtailor :[Teamtailor for the partnership and accessible documentation](https://teamtailor.com/)
