# 📖 Summary
- [📖 Summary](#📖-summary)
- [💼 About Waalaxy](#💼-about-waalaxy)
  - [😍 Why is it a big deal for Waalaxy customers & partners?](#😍-why-is-it-a-big-deal-for-waalaxy-customers--partners)
- [🔧 How does it work?](#🔧-how-does-it-work)
  - [📊 Data integration capabilities:](#📊-data-integration-capabilities)
  - [🧠 Artificial Intelligence capabilities:](#🧠-artificial-intelligence-capabilities)
- [🔌 Connector Actions](#🔌-connector-actions)
- [💍 Quick Start Examples](#💍-quick-start-examples)
- [🔗 Useful Links](#🔗-useful-links)
- [👏 Special Thanks](#👏-special-thanks)


# 💼 About Waalaxy

> The perfect Tool for Lead Generation on LinkedIn

<p align="center">
<image src="https://github.com/user-attachments/assets/e5ef46af-a17f-4c49-8f61-347933de318c" width=90% height=100% 
>
</p>

## 😍 Why is it a big deal for Waalaxy customers & partners?

This new connector will enable:
- ⚡ A Fastlane Talent & Workforce data integration for Waalaxy customers & partners
- 🤖 Cutting-edge AI-powered Talent Experiences & Recruiter Experiences for Waalaxy customers

#  🔧 How does it work?
## 📊 Data integration capabilities:
- ⬅️ Send Profiles data from Waalaxy to a Destination of your choice.
- ➡️ Send Profiles data from a Source of your choice to Waalaxy.
- ⬅️ Send Jobs data from Waalaxy to a Destination of your choice.
- ➡️ Send Jobs data from a Source of your choice to Waalaxy.

<p align="center">
<image src=https://github.com/user-attachments/assets/2d1e16c3-82b0-46c6-a472-328f3f99bda9 width=90% height=100% 
>
</p>

## 🧠 Artificial Intelligence capabilities:
- Extract, Structure, and Categorize Talent & Workforce data
- Search, Score, and Match Profiles & Jobs with our APIs and AI Widgets (**Matching Custom Tab in Waalaxy**)


# 🔌 Connector Actions
<p align="center">

| Action | Description |
| ------- | ----------- |
| [**Create profiles in hrflow**](docs/create_profiles_in_hrflow.md) | Send **created** 'profile(s)' _from_  _to_ HrFlow |
| [**Update profiles in hrflow**](docs/update_profiles_in_hrflow.md) | Send **updated** 'profile(s)' _from_  _to_ HrFlow |
| [**Archive profiles in hrflow**](docs/archive_profiles_in_hrflow.md) | Send **archived** 'profile(s)' _from_  _to_ HrFlow |


</p>


# 💍 Quick Start Examples

To make sure you can successfully run the latest versions of the example scripts, you have to **install the package from PyPi**.


To browse the examples of actions corresponding to released versions of 🤗 this connector, you just need to import the module like this :

<p align="center">
<image src=https://github.com/user-attachments/assets/0b674b51-d561-474d-926f-aefba85663e0 width=90% height=100% 
>
</p>

Once the connector module is imported, you can leverage all the different actions that it offers.

For more code details checkout connector code.


# 🔗 Useful Links

- 📄 Visit [Waalaxy](https://www.waalaxy.com/fr/) to learn more.
- 💻 [Connector code](https://github.com/Riminder/hrflow-connectors/tree/master/src/hrflow_connectors/v2/connectors/waalaxy) on our Github.


# 👏 Special Thanks
- 💻 HrFlow.ai :[Nedhir Ebnou](https://github.com/itsnedhir) - Software Engineer
